Revision history [back]

click to hide/show revision 1
initial version

Running Nova-Compute on aarch64 (RaspberryPi, RockPi)

Hi there,

currently we are trying to run Openstack Stein on multiple RaspberryPis and RockPis. The goal is to make some performance tests on Load Balancing, High Availability and Real-Time Capabilities.

Current Set-Up:

1 Rock Pi (Ubuntu Server 18.04): Keystone, Horizon, Glance, Nova(-Server)

3 Raspberry Pi Model 3 (Ubuntu Server 18.04 and Raspbian): Nova-Compute

The implementation of the RockPi as Controller Node was successfull. We were able to connect it to a Nova-Compute Node running for test purpose in a VirtualBox and start a VM via the Dashboard. The Management network is realized with VLAN. The public interface is the normal eth0 interface without VLAN Tag.

Now we wanted to implement the Nova-Compute Node on a RaspberryPi, but got stuck there: The installation of nova-compute was successfull. nova-compute and libvirt services are running. The problem is the initial connection of controller node with the compute node. As far as logs showed us, the compute node is telling the controller node its HW capabilites, but after that a TIMEOUT occures on the compute node (see logfile as picture). We think that there is a service/module/appliction not running correctly where the compute node does not answer correctly on a message of the controller. We analyzed some IP Traffic between a) controller - compute (on Virtualbox) which was successfull and b) controller - compute (RaspberryPi) which wasn't successfull.

The Log file:

2019-08-18 15:13:25.986 3076 WARNING nova.virt.libvirt.driver [-] The libvirt driver is not tested on qemu/aarch64 by the OpenStack project and thus its quality can not be ensured. For more information, see: https://docs.openstack.org/nova/latest/user/support-matrix.html

2019-08-18 15:14:25.993 3076 WARNING nova.virt.libvirt.driver [req-d67c6d73-cbc4-450e-8d94-546612678d33 - - - - -] Cannot update service status on host "compute04" due to an unexpected exception.: oslo_messaging.exceptions.MessagingTimeout: Timed out waiting for a reply to message ID e9939a447dd94c05b0874fb03f05e533

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver Traceback (most recent call last):

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 393, in get

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver return self._queues[msg_id].get(block=True, timeout=timeout)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/eventlet/queue.py", line 322, in get

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver return waiter.wait()

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/eventlet/queue.py", line 141, in wait

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver return get_hub().switch()

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/eventlet/hubs/hub.py", line 298, in switch

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver return self.greenlet.switch()

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver queue.Empty

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver During handling of the above exception, another exception occurred:

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver Traceback (most recent call last):

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/nova/virt/libvirt/driver.py", line 3840, in _set_host_enabled

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver service = objects.Service.get_by_compute_host(ctx, CONF.host)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_versionedobjects/base.py", line 177, in wrapper

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver args, kwargs)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/nova/conductor/rpcapi.py", line 241, in object_class_action_versions

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver args=args, kwargs=kwargs)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_messaging/rpc/client.py", line 178, in call

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver retry=self.retry)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_messaging/transport.py", line 128, in _send

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver retry=retry)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 645, in send

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver call_monitor_timeout, retry=retry)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 634, in _send

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver call_monitor_timeout)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 520, in wait

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver message = self.waiters.get(msg_id, timeout=timeout)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 397, in get

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver 'to message ID %s' % msg_id)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver oslo_messaging.exceptions.MessagingTimeout: Timed out waiting for a reply to message ID e9939a447dd94c05b0874fb03f05e533

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service [req-8415e9a5-8b3b-405a-9afa-66b74d0be646 - - - - -] Error starting thread.: oslo_messaging.exceptions.MessagingTimeout: Timed out waiting for a reply to message ID 8276eb1e5a7e4cd1a63eb09136ef3866

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service Traceback (most recent call last):

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 393, in get

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service return self._queues[msg_id].get(block=True, timeout=timeout)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/eventlet/queue.py", line 322, in get

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service return waiter.wait()

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/eventlet/queue.py", line 141, in wait

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service return get_hub().switch()

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/eventlet/hubs/hub.py", line 298, in switch

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service return self.greenlet.switch()

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service queue.Empty

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service During handling of the above exception, another exception occurred:

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service Traceback (most recent call last):

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_service/service.py", line 796, in run_service

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service service.start()

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/nova/service.py", line 162, in start

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service self.manager.init_host()

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/nova/compute/manager.py", line 1226, in init_host

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service context, self.host, expected_attrs=['info_cache', 'metadata'])

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_versionedobjects/base.py", line 177, in wrapper

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service args, kwargs)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/nova/conductor/rpcapi.py", line 241, in object_class_action_versions

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service args=args, kwargs=kwargs)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_messaging/rpc/client.py", line 178, in call

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service retry=self.retry)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_messaging/transport.py", line 128, in _send

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service retry=retry)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 645, in send

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service call_monitor_timeout, retry=retry)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 634, in _send

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service call_monitor_timeout)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 520, in wait

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service message = self.waiters.get(msg_id, timeout=timeout)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 397, in get

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service 'to message ID %s' % msg_id)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service oslo_messaging.exceptions.MessagingTimeout: Timed out waiting for a reply to message ID 8276eb1e5a7e4cd1a63eb09136ef3866

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service

This is the nova.conf on compute node:

crudini --set /etc/nova/nova.conf DEFAULT transport_url rabbit://openstack:rabbitPass@10.0.0.11

crudini --set /etc/nova/nova.conf api auth_strategy keystone

crudini --set /etc/nova/nova.conf keystone_authtoken auth_url http://controller:5000/v3.0 crudini --set /etc/nova/nova.conf keystone_authtoken memcached_servers controller:11211 crudini --set /etc/nova/nova.conf keystone_authtoken auth_type password crudini --set /etc/nova/nova.conf keystone_authtoken project_domain_name default crudini --set /etc/nova/nova.conf keystone_authtoken user_domain_name default crudini --set /etc/nova/nova.conf keystone_authtoken project_name service crudini --set /etc/nova/nova.conf keystone_authtoken username nova crudini --set /etc/nova/nova.conf keystone_authtoken password novaPass

crudini --set /etc/nova/nova.conf DEFAULT my_ip 10.0.0.35 crudini --set /etc/nova/nova.conf DEFAULT use_neutron True crudini --set /etc/nova/nova.conf DEFAULT firewall_driver nova.virt.firewall.NoopFirewallDriver

crudini --set /etc/nova/nova.conf vnc enabled True crudini --set /etc/nova/nova.conf vnc vncserver_listen 0.0.0.0 crudini --set /etc/nova/nova.conf vnc vncserver_proxyclient_address 10.0.0.35 crudini --set /etc/nova/nova.conf vnc novncproxy_base_url http://10.0.0.11:6080/vnc_auto.html

crudini --set /etc/nova/nova.conf glance api_servers http://controller:9292

crudini --set /etc/nova/nova.conf oslo_concurrency lock_path /var/lib/nova/tmp

crudini --set /etc/nova/nova.conf serial_console enabled true crudini --set /etc/nova/nova.conf serial_console base_url ws://10.0.0.11:6083/ crudini --set /etc/nova/nova.conf serial_console proxyclient_address 10.0.0.35 crudini --set /etc/nova/nova.conf serial_console listen 0.0.0.0 crudini --set /etc/nova/nova.conf serial_console serialproxy_port 6083

crudini --del /etc/nova/nova.conf DEFAULT log_dir

crudini --set /etc/nova/nova.conf placement os_region_name RegionOne crudini --set /etc/nova/nova.conf placement project_domain_name Default crudini --set /etc/nova/nova.conf placement project_name service crudini --set /etc/nova/nova.conf placement auth_type password crudini --set /etc/nova/nova.conf placement user_domain_name Default crudini --set /etc/nova/nova.conf placement auth_url http://controller:35357/v3 crudini --set /etc/nova/nova.conf placement username placement crudini --set /etc/nova/nova.conf placement password placementPass

crudini --set /etc/nova/nova.conf libvirt virt_type kvm

// if ARM64

crudini --set /etc/nova/nova.conf vnc enabled False crudini --set /etc/nova/nova.conf spice enabled False crudini --set /etc/nova/nova.conf libvirt virt_type kvm crudini --set /etc/nova/nova.conf libvirt cpu_mode host-passthrough apt-get -y install qemu-efi

I hope my description contains enough information and we would be very happy if someone has an idea, what the problem is!

Thank you very much! Cheers Phil

Running Nova-Compute on aarch64 (RaspberryPi, RockPi)

Hi there,

currently we are trying to run Openstack Stein on multiple RaspberryPis and RockPis. The goal is to make some performance tests on Load Balancing, High Availability and Real-Time Capabilities.

Current Set-Up:

1 Rock Pi (Ubuntu Server 18.04): Keystone, Horizon, Glance, Nova(-Server)

3 Raspberry Pi Model 3 (Ubuntu Server 18.04 and Raspbian): Nova-Compute

The implementation of the RockPi as Controller Node was successfull. We were able to connect it to a Nova-Compute Node running for test purpose in a VirtualBox and start a VM via the Dashboard. The Management network is realized with VLAN. The public interface is the normal eth0 interface without VLAN Tag.

Now we wanted to implement the Nova-Compute Node on a RaspberryPi, but got stuck there: The installation of nova-compute was successfull. nova-compute and libvirt services are running. The problem is the initial connection of controller node with the compute node. As far as logs showed us, the compute node is telling the controller node its HW capabilites, but after that a TIMEOUT occures on the compute node (see logfile as picture). We think that there is a service/module/appliction not running correctly where the compute node does not answer correctly on a message of the controller. We analyzed some IP Traffic between a) controller - compute (on Virtualbox) which was successfull and b) controller - compute (RaspberryPi) which wasn't successfull.

The Log file:

2019-08-18 15:13:25.986 3076 WARNING nova.virt.libvirt.driver [-] The libvirt driver is not tested on qemu/aarch64 by the OpenStack project and thus its quality can not be ensured. For more information, see: https://docs.openstack.org/nova/latest/user/support-matrix.html

2019-08-18 15:14:25.993 3076 WARNING nova.virt.libvirt.driver [req-d67c6d73-cbc4-450e-8d94-546612678d33 - - - - -] Cannot update service status on host "compute04" due to an unexpected exception.: oslo_messaging.exceptions.MessagingTimeout: Timed out waiting for a reply to message ID e9939a447dd94c05b0874fb03f05e533

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver Traceback (most recent call last):

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 393, in get

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver return self._queues[msg_id].get(block=True, timeout=timeout)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/eventlet/queue.py", line 322, in get

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver return waiter.wait()

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/eventlet/queue.py", line 141, in wait

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver return get_hub().switch()

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/eventlet/hubs/hub.py", line 298, in switch

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver return self.greenlet.switch()

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver queue.Empty

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver During handling of the above exception, another exception occurred:

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver Traceback (most recent call last):

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/nova/virt/libvirt/driver.py", line 3840, in _set_host_enabled

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver service = objects.Service.get_by_compute_host(ctx, CONF.host)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_versionedobjects/base.py", line 177, in wrapper

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver args, kwargs)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/nova/conductor/rpcapi.py", line 241, in object_class_action_versions

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver args=args, kwargs=kwargs)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_messaging/rpc/client.py", line 178, in call

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver retry=self.retry)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_messaging/transport.py", line 128, in _send

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver retry=retry)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 645, in send

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver call_monitor_timeout, retry=retry)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 634, in _send

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver call_monitor_timeout)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 520, in wait

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver message = self.waiters.get(msg_id, timeout=timeout)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 397, in get

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver 'to message ID %s' % msg_id)

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver oslo_messaging.exceptions.MessagingTimeout: Timed out waiting for a reply to message ID e9939a447dd94c05b0874fb03f05e533

2019-08-18 15:14:25.993 3076 ERROR nova.virt.libvirt.driver

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service [req-8415e9a5-8b3b-405a-9afa-66b74d0be646 - - - - -] Error starting thread.: oslo_messaging.exceptions.MessagingTimeout: Timed out waiting for a reply to message ID 8276eb1e5a7e4cd1a63eb09136ef3866

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service Traceback (most recent call last):

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 393, in get

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service return self._queues[msg_id].get(block=True, timeout=timeout)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/eventlet/queue.py", line 322, in get

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service return waiter.wait()

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/eventlet/queue.py", line 141, in wait

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service return get_hub().switch()

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/eventlet/hubs/hub.py", line 298, in switch

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service return self.greenlet.switch()

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service queue.Empty

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service During handling of the above exception, another exception occurred:

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service Traceback (most recent call last):

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_service/service.py", line 796, in run_service

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service service.start()

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/nova/service.py", line 162, in start

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service self.manager.init_host()

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/nova/compute/manager.py", line 1226, in init_host

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service context, self.host, expected_attrs=['info_cache', 'metadata'])

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_versionedobjects/base.py", line 177, in wrapper

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service args, kwargs)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/nova/conductor/rpcapi.py", line 241, in object_class_action_versions

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service args=args, kwargs=kwargs)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_messaging/rpc/client.py", line 178, in call

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service retry=self.retry)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_messaging/transport.py", line 128, in _send

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service retry=retry)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 645, in send

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service call_monitor_timeout, retry=retry)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 634, in _send

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service call_monitor_timeout)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 520, in wait

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service message = self.waiters.get(msg_id, timeout=timeout)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service File "/usr/lib/python3/dist-packages/oslo_messaging/_drivers/amqpdriver.py", line 397, in get

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service 'to message ID %s' % msg_id)

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service oslo_messaging.exceptions.MessagingTimeout: Timed out waiting for a reply to message ID 8276eb1e5a7e4cd1a63eb09136ef3866

2019-08-18 15:14:26.046 3076 ERROR oslo_service.service

This is the nova.conf on compute node:

crudini --set /etc/nova/nova.conf DEFAULT transport_url rabbit://openstack:rabbitPass@10.0.0.11

crudini --set /etc/nova/nova.conf api auth_strategy keystone

crudini --set /etc/nova/nova.conf keystone_authtoken auth_url http://controller:5000/v3.0 crudini --set /etc/nova/nova.conf keystone_authtoken memcached_servers controller:11211 crudini --set /etc/nova/nova.conf keystone_authtoken auth_type password crudini --set /etc/nova/nova.conf keystone_authtoken project_domain_name default crudini --set /etc/nova/nova.conf keystone_authtoken user_domain_name default crudini --set /etc/nova/nova.conf keystone_authtoken project_name service crudini --set /etc/nova/nova.conf keystone_authtoken username nova crudini --set /etc/nova/nova.conf keystone_authtoken password novaPass

crudini --set /etc/nova/nova.conf DEFAULT my_ip 10.0.0.35 crudini --set /etc/nova/nova.conf DEFAULT use_neutron True crudini --set /etc/nova/nova.conf DEFAULT firewall_driver nova.virt.firewall.NoopFirewallDriver

crudini --set /etc/nova/nova.conf vnc enabled True crudini --set /etc/nova/nova.conf vnc vncserver_listen 0.0.0.0 crudini --set /etc/nova/nova.conf vnc vncserver_proxyclient_address 10.0.0.35 crudini --set /etc/nova/nova.conf vnc novncproxy_base_url http://10.0.0.11:6080/vnc_auto.html

crudini --set /etc/nova/nova.conf glance api_servers http://controller:9292

crudini --set /etc/nova/nova.conf oslo_concurrency lock_path /var/lib/nova/tmp

crudini --set /etc/nova/nova.conf serial_console enabled true crudini --set /etc/nova/nova.conf serial_console base_url ws://10.0.0.11:6083/ crudini --set /etc/nova/nova.conf serial_console proxyclient_address 10.0.0.35 crudini --set /etc/nova/nova.conf serial_console listen 0.0.0.0 crudini --set /etc/nova/nova.conf serial_console serialproxy_port 6083

crudini --del /etc/nova/nova.conf DEFAULT log_dir

crudini --set /etc/nova/nova.conf placement os_region_name RegionOne crudini --set /etc/nova/nova.conf placement project_domain_name Default crudini --set /etc/nova/nova.conf placement project_name service crudini --set /etc/nova/nova.conf placement auth_type password crudini --set /etc/nova/nova.conf placement user_domain_name Default crudini --set /etc/nova/nova.conf placement auth_url http://controller:35357/v3 crudini --set /etc/nova/nova.conf placement username placement crudini --set /etc/nova/nova.conf placement password placementPass

crudini --set /etc/nova/nova.conf libvirt virt_type kvm

// if ARM64

crudini --set /etc/nova/nova.conf vnc enabled False crudini --set /etc/nova/nova.conf spice enabled False crudini --set /etc/nova/nova.conf libvirt virt_type kvm crudini --set /etc/nova/nova.conf libvirt cpu_mode host-passthrough apt-get -y install qemu-efi

I hope my description contains enough information and we would be very happy if someone has an idea, what the problem is!

Thank you very much! Cheers Phil